<!-- User Name   : <input type="text" name="username" value="{{username}}" [(ngModel)]="username">  -->
<h1>Login!</h1>

<div class="container">


<div class = "alert alert-warning" *ngIf='invalidLogin'>{{errorMessage}}</div>

<div>
User Name   : <input type="text" name="username" [(ngModel)]="username"> 

Password    : <input type="password" name="password" [(ngModel)]="password">
</div>
<!-- <button (click)=handleLogin()>Login</button> -->
<!-- <button (click)=handleBasicAuthLogin() class="btn btn-success">Login</button> -->
<button (click)=handleJWTAuthLogin() class="btn btn-success">Login</button>


</div>